uk.ac.starlink.util.gui

## Class DragListener

- java.lang.Object
- - java.awt.event.MouseAdapter
  - - javax.swing.event.MouseInputAdapter
    - - uk.ac.starlink.util.gui.DragListener

- All Implemented Interfaces:
    java.awt.event.MouseListener, java.awt.event.MouseMotionListener, java.awt.event.MouseWheelListener, java.util.EventListener, javax.swing.event.MouseInputListener

      public class DragListener
      extends javax.swing.event.MouseInputAdapter

  Mouse listener object which watches for a drag gesture, and invokes TransferHandler.exportAsDrag() when it sees one. Note this must be installed as both a `MouseListener` and a `MouseMotionListener` on the component it's watching.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DragListener()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `mouseDragged(java.awt.event.MouseEvent evt)`
    `void` | `mouseEntered(java.awt.event.MouseEvent evt)`
    `void` | `mousePressed(java.awt.event.MouseEvent evt)`
    `void` | `mouseReleased(java.awt.event.MouseEvent evt)`

    - ### Methods inherited from class java.awt.event.MouseAdapter

      `mouseClicked, mouseExited, mouseMoved, mouseWheelMoved`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.awt.event.MouseListener

      `mouseClicked, mouseExited`

    - ### Methods inherited from interface java.awt.event.MouseMotionListener

      `mouseMoved`

- - ### Constructor Detail

    - #### DragListener

          public DragListener()

  - ### Method Detail

    - #### mousePressed

          public void mousePressed(java.awt.event.MouseEvent evt)

      Specified by:
        `mousePressed` in interface `java.awt.event.MouseListener`
      Overrides:
        `mousePressed` in class `java.awt.event.MouseAdapter`

    - #### mouseReleased

          public void mouseReleased(java.awt.event.MouseEvent evt)

      Specified by:
        `mouseReleased` in interface `java.awt.event.MouseListener`
      Overrides:
        `mouseReleased` in class `java.awt.event.MouseAdapter`

    - #### mouseEntered

          public void mouseEntered(java.awt.event.MouseEvent evt)

      Specified by:
        `mouseEntered` in interface `java.awt.event.MouseListener`
      Overrides:
        `mouseEntered` in class `java.awt.event.MouseAdapter`

    - #### mouseDragged

          public void mouseDragged(java.awt.event.MouseEvent evt)

      Specified by:
        `mouseDragged` in interface `java.awt.event.MouseMotionListener`
      Overrides:
        `mouseDragged` in class `java.awt.event.MouseAdapter`